dpp::detail::async::callback
async.h
typename R
std::shared_ptr< basic_promise< R > > std::shared_ptr<basic_promise<R> > dpp::detail::async::callback< R >::promise promise dpp::detail::async::callback::promise {nullptr}

Promise object to set the result into.

void void dpp::detail::async::callback< R >::operator() () const operator() dpp::detail::async::callback::operator() (std::is_void_v<R>)

Call operator, sets the value in the promise and notifies any awaiter.

typename U R
void void dpp::detail::async::callback< R >::operator() (const U &v) const operator() dpp::detail::async::callback::operator() const U & v (std::convertible_to<const U&, R>)

Call operator, sets the value in the promise and notifies any awaiter.

v

Callback value

typename U R
void void dpp::detail::async::callback< R >::operator() (U &&v) const operator() dpp::detail::async::callback::operator() U && v (std::convertible_to<U&&, R>)

Call operator, sets the value in the promise and notifies any awaiter.

v

Callback value

Shared state of the async and its callback, to be used across threads.

T
dpp::basic_promise< T >
dpp::basic_promise< R >
< R >
dpp::detail::async::callback< R >
promise
dpp::detail::promise::promise_base< T >
value
state
awaiter
dpp::detail::promise::promise_base< R >
value
state
awaiter
< R >
dpp::detail::promise::promise_base< T >
value
state
awaiter
result_t< R >
result_t< T >
std::atomic< T >
ptr
std::atomic< uint8_t >
ptr
< uint8_t >
std::shared_ptr< T >
ptr
std::shared_ptr< dpp::basic_promise< R > >
ptr
< dpp::basic_promise< R > >
coroutine_handle
uint8_t
- dpp::detail::async::callback
  operator()
- dpp::detail::async::callback
  operator()
- dpp::detail::async::callback
  operator()
- dpp::detail::async::callback
  promise